> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an NGN wallet for a customer



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/wallets/fiat/create
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/wallets/fiat/create:
    post:
      tags:
        - NGN Wallets
      summary: Create an NGN wallet for a customer
      operationId: FiatWalletsController_create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FiatWalletCreateRequest'
      responses:
        '201':
          description: NGN wallet created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FiatWalletCreateResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    FiatWalletCreateRequest:
      type: object
      required:
        - customerId
        - walletName
        - walletReference
      properties:
        customerId:
          type: string
          format: uuid
        walletName:
          type: string
        walletReference:
          type: string
      additionalProperties: false
    FiatWalletCreateResponse:
      type: object
      required:
        - status
        - statusCode
        - message
        - data
      properties:
        status:
          type: string
          const: success
        statusCode:
          type: integer
          const: 201
        message:
          type: string
        data:
          $ref: '#/components/schemas/FiatWalletCreated'
      additionalProperties: true
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
    FiatWalletCreated:
      type: object
      required:
        - walletId
        - bankName
        - bankCode
        - accountName
        - accountNumber
      properties:
        walletId:
          type: string
        bankName:
          type: string
        bankCode:
          type: string
        accountName:
          type: string
        accountNumber:
          type: string
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````